TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

SmithForm ( elt-alg^mat X ) -> elt-alg^mat, elt-alg^mat, elt-alg^mat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3
k | elt-ord^rat |  |
NormType | string |  |
Partial | elt-alg^boo |  |
RightInverse | elt-alg^boo |  |

### Description

<shortdoc> The smith form S of X, together with unimodular matrices P and Q such that P * X * Q = S. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack